package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.BuildingUnit;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllBuildingUnitsNode extends Renderable{

    private final List<BuildingUnit> buildingUnits;

    public AllBuildingUnitsNode(List<BuildingUnit> buildingUnits) {
        this.buildingUnits = buildingUnits;
    }

    @Override
    public String getText() {
        return "Building Units";
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.clearCurrentRender();
    }

    @Override
    public void refreshTextColor() {
        boolean wasChecked = false;
        for (BuildingUnit buildingUnit : buildingUnits) {
            if (buildingUnit.isValidated()) {
                wasChecked = true;
                if (buildingUnit.containsAnyError()) {
                    setStatus(CheckStatus.ERROR);
                    return;
                }
            }
        }
        if (wasChecked) {
            setStatus(CheckStatus.OK);
        } else {
            setStatus(CheckStatus.NOT_CHECKED);
        }
    }

}
