package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.zip.CityGmlZipEntry;
import javafx.scene.paint.Color;

public class ZipEntryNode {

    private final CityGmlZipEntry entry;

    public ZipEntryNode(CityGmlZipEntry entry) {
        this.entry = entry;
    }

    public Color getTextColor() {
        if (entry.getErrorType() != null) {
            return Color.DARKRED;
        } else if (entry.getModel() != null) {
            if (entry.getModel().getNumberOfFeatures() == 0) {
                return Color.GRAY;
            }
            if (entry.getModel().isValidated()) {
                if (entry.getModel().collectErrors().isEmpty()) {
                    return Color.GREEN;
                }
                return Color.RED;
            }
            return Color.BLUE;
        } else if (entry.isLoaded()) {
            return Color.BLUE;
        } else {
            return Color.BLACK;
        }
    }

    public String getText() {
        return entry.getDisplayName();
    }

    public CityGmlZipEntry getEntry() {
        return entry;
    }

}
